Bug 1319676 - Please add an autoloader and update to latest version 1.9.12 [NEEDINFO]
Summary: Please add an autoloader and update to latest version 1.9.12
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: php-getid3
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1320969 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-21 10:21 UTC by Remi Collet
Modified: 2016-05-12 05:08 UTC (History)
2 users (show)

Fixed In Version: php-getid3-1.9.12-1.fc23 php-getid3-1.9.12-1.fc22 php-getid3-1.9.12-1.fc24 php-getid3-1.9.12-1.el7 php-getid3-1.9.12-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-02 18:53:46 UTC
james.hogarth: needinfo? (promac)


Attachments (Terms of Use)

Description Remi Collet 2016-03-21 10:21:17 UTC
About autoloader see: https://fedoraproject.org/wiki/SIGs/PHP/PackagingTips#Autoloader

I you prefer, I can apply the change from my repo:
https://github.com/remicollet/remirepo/commit/4758ff87496f071c82d3d4b2125ef0dca39d2105

Comment 1 Remi Collet 2016-03-21 10:23:06 UTC
Adding jhogarth as this is used by owncloud, and can simplify packaging.

Comment 2 James Hogarth 2016-03-24 11:32:24 UTC
*** Bug 1320969 has been marked as a duplicate of this bug. ***

Comment 3 James Hogarth 2016-03-24 11:40:39 UTC
If you are lacking time for the update Roma I'm happy to be a co-maintainer to assist.

The 1.9.8 version in Fedora is now quite old and owncloud actually has dev-master in the composer.json so I'd like to see this updated to the current release to fix various issues and provided a feature set identical to oC upstream.

Comment 4 Remi Collet 2016-03-29 15:05:47 UTC
@roma: this package is the last one in the owncloud dependency stack without an autoloader.

I have ask on pkgdb for package ACL (I already own it in EPEL-7)

Can you please look at proposed change, and/or give me ACL ?

Comment 5 James Hogarth 2016-03-29 15:16:29 UTC
Adding a needs info flag for a response from Roma.

Comment 7 Remi Collet 2016-04-22 07:21:51 UTC
Taking the bug and going to do the update

Comment 8 Fedora Update System 2016-04-22 07:41:51 UTC
php-getid3-1.9.12-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-017aadcc97

Comment 9 Fedora Update System 2016-04-22 07:41:58 UTC
php-getid3-1.9.12-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-00d9fb4379

Comment 10 Fedora Update System 2016-04-22 07:42:03 UTC
php-getid3-1.9.12-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3c525f7ee2

Comment 11 Fedora Update System 2016-04-22 07:42:07 UTC
php-getid3-1.9.12-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9ead85c2cf

Comment 12 Fedora Update System 2016-04-22 07:42:12 UTC
php-getid3-1.9.12-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-55659eab59

Comment 13 Fedora Update System 2016-04-23 21:23:37 UTC
php-getid3-1.9.12-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3c525f7ee2

Comment 14 Fedora Update System 2016-04-24 05:50:02 UTC
php-getid3-1.9.12-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9ead85c2cf

Comment 15 Fedora Update System 2016-04-24 05:51:41 UTC
php-getid3-1.9.12-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-017aadcc97

Comment 16 Fedora Update System 2016-04-24 06:23:19 UTC
php-getid3-1.9.12-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-00d9fb4379

Comment 17 Fedora Update System 2016-04-24 06:26:13 UTC
php-getid3-1.9.12-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-55659eab59

Comment 18 Fedora Update System 2016-05-02 18:53:44 UTC
php-getid3-1.9.12-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2016-05-03 09:50:19 UTC
php-getid3-1.9.12-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2016-05-07 11:59:52 UTC
php-getid3-1.9.12-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2016-05-12 04:39:20 UTC
php-getid3-1.9.12-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2016-05-12 05:08:24 UTC
php-getid3-1.9.12-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.